Alladdin

Work in progress

Site en construction

الموقع قيد الإنشاء

Alladdin
GET

Get an employee time entry

Scope: team:time-tracking.read https://api.alladdin.com/api/v2/employee-times/{timeId}

Returns a single employee time tracking entry by its ID.

Parameters

Path parameters

timeId string required

Employee time entry ID

Request

python
import requests

url = "https://api.alladdin.com/api/v2/employee-times/{timeId}"
headers = {
    "Authorization": "Bearer YOUR_API_KEY",
    "Accept": "application/json",
}

response = requests.get(url, headers=headers)
print(response.json())

Responses

Response

json
{
  "id": "507f1f77bcf86cd799439011",
  "employee_id": "507f1f77bcf86cd799439012",
  "employee_name": "string",
  "date": "2024-01-15T10:30:00Z",
  "start_at": "2024-01-15T10:30:00Z",
  "end_at": "2024-01-15T10:30:00Z",
  "duration": 0,
  "status": "string",
  "approved": false,
  "approved_by": "string",
  "approved_at": "2024-01-15T10:30:00Z"
}

Success responses

200 Employee time entry found application/json object id string required

Unique identifier

employee_id string required

Employee ID

employee_name string | null required

Employee display name

date string<date-time> | null required

Date of the time entry in ISO 8601

start_at string<date-time> required

Start time in ISO 8601

end_at string<date-time> | null required

End time in ISO 8601

duration integer required

Duration in seconds

status string required

Tracker status (running, done)

approved boolean required

Whether the entry is approved

approved_by string | null required

User ID who approved

approved_at string<date-time> | null required

Approval date in ISO 8601

Error responses

401 Invalid or missing API key application/json 403 Insufficient permissions application/json 404 Time entry not found application/json 429 Rate limit exceeded application/json

← PreviousList all employee time entries →

Next →Delete an employee time entry →